質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
85.46%
Linux

Linuxは、Unixをベースにして開発されたオペレーティングシステムです。日本では「リナックス」と呼ばれています。 主にWebサーバやDNSサーバ、イントラネットなどのサーバ用OSとして利用されています。 上位500のスーパーコンピュータの90%以上はLinuxを使用しています。 携帯端末用のプラットフォームAndroidは、Linuxカーネル上に構築されています。

yum

yumコマンドは、UNIX系OSのRPMパッケージのインストールなどを行うためのプログラムのことです。

openSUSE

openSUSEは、OpenSUSE プロジェクトによって開発されている、コミュニティベースのLinuxディストリビューションです。デスクトップやサーバなどで動作し、Webページ閲覧や、メールや写真の管理、オフィスソフト、映像・音楽の再生など、ソフトウェアパッケージが多いことが特徴です。

Q&A

解決済

1回答

3352閲覧

SUSEにlftpをインストールしたい

退会済みユーザー

退会済みユーザー

総合スコア0

Linux

Linuxは、Unixをベースにして開発されたオペレーティングシステムです。日本では「リナックス」と呼ばれています。 主にWebサーバやDNSサーバ、イントラネットなどのサーバ用OSとして利用されています。 上位500のスーパーコンピュータの90%以上はLinuxを使用しています。 携帯端末用のプラットフォームAndroidは、Linuxカーネル上に構築されています。

yum

yumコマンドは、UNIX系OSのRPMパッケージのインストールなどを行うためのプログラムのことです。

openSUSE

openSUSEは、OpenSUSE プロジェクトによって開発されている、コミュニティベースのLinuxディストリビューションです。デスクトップやサーバなどで動作し、Webページ閲覧や、メールや写真の管理、オフィスソフト、映像・音楽の再生など、ソフトウェアパッケージが多いことが特徴です。

0グッド

0クリップ

投稿2015/11/04 00:47

編集2015/11/04 05:24

lftpコマンドを使いたかったので、インストールしようかと思ったんですが、SUSEのためyumコマンドがありませんでした。

代わりにzypperというものがあるらしいとあったので、
zypper install lftp
としたのですが、

Loading repository data... Reading installed packages... 'lftp' not found in package names. Trying capabilities. No provider of 'lftp' found. Resolving package dependencies... Nothing to do.

となって、インストールができません。

どうしたらlftpをインストールできるでしょうか?
よろしくお願いします。

気になる質問をクリップする

クリップした質問は、後からいつでもMYページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

guest

回答1

0

ベストアンサー

'lftp' not found in package names. とあります。通常
#yast

Software Management >Search で lftp のパッケージがあればそのままインストールできます。

SLES では標準のレポジトリにはlftpはありませんでした。サポート対象外ということでしょう。openSUSE にも標準リポジトリには登録されていないようです。(openSUSE は環境がなくて確認していません)
yast > Software Management で検索してないものは zypper でもインストールできません。

opensuse.org のサイトに1クリックインストールできるパッケージがあるので、標準パッケージにないものは、software.opensuse.org に登録されているパッケージを(Search)探してインストールするのが良いでしょう。
ブラウザを開いて
https://software.opensuse.org/package/lftp
から1クリックインストールできると思います。クリックすると登録されていないレポジトリが追加され yast が起動してGUIインストールできるはずです。

追記)
ご質問の内容が SUSE Enterprise なのか、openSUSE なのかわからないのですが、openSUSE では zypper install できました。SLE の場合、標準レポジトリにはないパッケージのようなので opensuse のダウンロードサイトから 1 click インストールする必要があるようです。

YaST2 MetaPackages handler が入っていないと xxxx.ymp ファイルをダウンロードするだけですからご注意ください。 MetaPackage を入れるには次のブログが役立ちます。
http://islandcnt.exblog.jp/15637227/

投稿2015/11/06 00:34

編集2015/11/06 01:13
majimaji

総合スコア15

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

退会済みユーザー

退会済みユーザー

2015/11/08 06:31

回答ありがとうございました 環境は、OpenSUSEかと思ってたら、SUSE enterpriseでした。 suseでは、lftpは用意されてなかったんですね。他の方法で入れられるというのは勉強になりました。 ただ、今回テスト環境が吹っ飛んで、暫定的に空いてる環境に構築しようとしたんですが・・・ どうも、OSが違ったみたいでorz RedHatで用意するってことで解決しました。 お手数おかけしました。回答ありがとうございました。
guest

あなたの回答

tips

太字

斜体

打ち消し線

見出し

引用テキストの挿入

コードの挿入

リンクの挿入

リストの挿入

番号リストの挿入

表の挿入

水平線の挿入

プレビュー

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
85.46%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問